
#import "ZhiyingCommNativeResult.h"

@interface ZhiyingCommNativeResult()


@end

@implementation ZhiyingCommNativeResult

- (instancetype)initWithMsg: (NSString*)msg success: (BOOL) success
{
    self = [super init];
    if (self) {
        _msg = msg == nil ? @"" : msg;
        _success = success;
    }
    return self;
}

- (NSDictionary*)toDict {
    return @{@"success" : _success ? @"1" : @"0",
             @"msg" : _msg,
             @"data" : _data == nil ? @{} : _data
    };
}

@end
